import { AWSDeployment } from '@goldstack/infra-aws';
import { TerraformDeployment } from '@goldstack/utils-terraform';
import { Deployment } from '@goldstack/infra';
import { Package, Configuration } from '@goldstack/utils-package';
/**
 * The name of the lambda.
 */
declare type LambdaName = string;
export interface LambdaExpressDeployment extends Deployment, AWSDeployment, TerraformDeployment {
    lambdaName: LambdaName;
}
/**
 * Places where the lambda should be deployed to.
 *
 * @title Deployments
 */
export declare type LambdaExpressDeployments = LambdaExpressDeployment[];
/**
 *
 *
 * @title Lambda Infrastructure Configuration
 */
export interface LambdaExpressInfrastructureConfiguration {
    deployments: LambdaExpressDeployments;
}
/**
 * Configures deployments for the lambda.
 *
 * @title Lambda Configuration
 *
 */
export interface LambdaExpressConfiguration extends Configuration {
    infrastructure: LambdaExpressInfrastructureConfiguration;
}
/**
 * A lambda deployment for an express server.
 *
 * @title Lambda Express Package
 */
export interface LambdaExpressPackage extends Package {
    configuration: LambdaExpressConfiguration;
}
export {};
//# sourceMappingURL=LambdaExpressPackage.d.ts.map